Package skyview.survey

# Class DSSImageFactory

java.lang.Object
skyview.survey.DSSImageFactory

All Implemented Interfaces:
  `ImageFactory`

public class DSSImageFactory extends Object implements ImageFactory
A little class that creates FITS images using a factory method.

## Constructor Summary

Constructors
Constructor
Description
`DSSImageFactory()`

## Method Summary

Modifier and Type
Method
Description
`DSSImage`
`factory(String file)`
Create an image given the appropriate spell

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSSImageFactory

public DSSImageFactory()

## Method Details

### factory

public DSSImage factory(String file)
Description copied from interface: `ImageFactory`
Create an image given the appropriate spell

Specified by:
  `factory` in interface `ImageFactory`